<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.uml.tech.jznyMapper.JznyMapper">


    <insert id="replaceInAll">
    replace into audit_farm_statistics(
        did,
        jobArea,
        totalData,
        totalNormal,
        totalA,
        totalB,
        totalC,
        totalD,
        totalE,
        totalF,
        totalG
    )values
        <foreach collection="list" index="index" item="item" separator=",">
            (
            #{item.did},
            #{item.jobArea},
            #{item.totalData},
            #{item.totalNormal},
            #{item.totalA},
            #{item.totalB},
            #{item.totalC},
            #{item.totalD},
            #{item.totalE},
            #{item.totalF},
            #{item.totalG}
            )
        </foreach>
    </insert>
</mapper>
